ENV(1)

NAVN
env - afvikling af et program i et ændret miljø

SYNOPSIS
env [FLAG]... [-] [NAVN=VÆRDI]... [KOMMANDO [ARG]...]

BESKRIVELSE

Sæt hvert NAVN til VÆRDI i miljøet og kør KOMMANDO.

Obligatoriske argumenter til lange flag er også obligatoriske for de korte.

-a, --argv0=ARG
    send ARG som zeroth-argumentet for KOMMANDO

-i, --ignore-environment
    start uden miljøvariable

-0, --null
    afslut hver udlinje med NUL frem for linjeskift

-u, --unset=NAVN
    fjern miljøvariablen NAVN

-C, --chdir=KAT
    ændr arbejdskatalog til KAT

-S, --split-string=S
    behandl og opdel S i adskilte argumenter; bruges til at give flere argumenter i shebang-linjer

--block-signal[=SIG]
    blokér levering af SIG-signaler til KOMMANDO

--default-signal[=SIG]
    nulstil håndtering af SIG-signaler til standard

--ignore-signal[=SIG]
    sæt håndtering af SIG-signaler til ingenting

--list-signal-handling
    vis ændrede indstillinger for signaler på stderr

-v, --debug
    vis uddybende information om hvert trin i behandling

--help
    vis denne hjælpetekst og afslut

--version
    vis versionsinformation og afslut

En - for sig selv medfører -i. Hvis ingen KOMMANDO er angivet, udskriv det resulterende miljø.

SIG kan være et signalnavn såsom »PIPE« eller et signalnummer såsom »13«. Uden SIG medtages alle kendte signaler. Flere signaler kan være kommaadskilte. Et tomt SIG-argument duer ikke.

  Afslutningskode:

125 hvis kommandoen env i sig selv fejler

126 hvis KOMMANDO findes men ikke kan startes

127 hvis KOMMANDO ikke kan findes

-   afslutningsstatus for KOMMANDO ellers

SCRIPT OPTION HANDLING
The -S option allows specifying multiple arguments in a script. Running a script named 1.pl containing the following first line:

    #!/usr/bin/env -S perl -w -T
    ...

Vil afvikle perl -w -T 1.pl

Uden parameteren '-S' vil skriptet sandsynligvis fejle med:

    /usr/bin/env: 'perl -w -T': Ingen sådan fil eller mappe

Se den fulde dokumentation for yderligere detaljer.

NOTER
POSIX's exec(3p) sider siger:
    "mange eksisterende programmer antager fejlagtigt, at de starter med bestemte signaler sat til standardhandlingen og/eller ublokeret ... Derfor er det bedst ikke at blokere eller ignorere signaler på tværs af kørbare filer uden en eksplicit grund til dette, og specielt ikke blokere signaler på tværs af kørbare filer for arbitrære (ikke tæt samarbejdende) programmer."

FORFATTER
Skrevet af Richard Mlynarik, David MacKenzie og Assaf Gordon.

FEJLRAPPORTER
Hjælp til GNU coreutils på nettet:: <https://www.gnu.org/software/coreutils/>
Rapporter oversættelsesfejl til <https://translationproject.org/team/da.html>

SE OGSÅ
sigaction(2), sigprocmask(2), signal(7)

Fuld dokumentation <https://www.gnu.org/software/coreutils/env>
eller lokalt tilgængelig via: info '(coreutils) env invocation'

Packaged by Debian (9.7-3)
Copyright © 2025 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller nyere <https://gnu.org/licenses/gpl.html>.
Dette er et frit program: du kan frit ændre og videredistribuere det.
Der gives INGEN GARANTI, i den grad som loven tillader dette.

OVERSÆTTELSE
Oversættere af denne manual til dansk Joe Hansen <joedalton2@yahoo.dk>

Denne oversættelse er gratis dokumentation; læs GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller nyere for ophavsretbetingelser. Der er INGEN ANSVAR.

Hvis du støder på fejl i oversættelsen af ​​denne vejledning, skal du sende en besked til debian-l10n-danish@lists.debian.org.